curl --request POST \
--url https://api.thefaithapp.com/v1/care-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "hospital_visit",
"privacy": "care_team",
"urgency": "soon",
"details": "Please arrange a hospital visit later this week.",
"contact_preference": "phone",
"contact_consent": true
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'hospital_visit',
privacy: 'care_team',
urgency: 'soon',
details: 'Please arrange a hospital visit later this week.',
contact_preference: 'phone',
contact_consent: true
})
};
fetch('https://api.thefaithapp.com/v1/care-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/care-requests"
payload = {
"type": "hospital_visit",
"privacy": "care_team",
"urgency": "soon",
"details": "Please arrange a hospital visit later this week.",
"contact_preference": "phone",
"contact_consent": True
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "Your care request was shared confidentially.",
"data": {
"care_request": {
"id": 412,
"type": "hospital_visit",
"privacy": "care_team",
"urgency": "soon",
"status": "new",
"details": "Please arrange a hospital visit later this week.",
"contact_preference": "phone",
"contact_value": "+256700000001",
"contact_consent_at": "2026-07-25T09:00:00.000000Z",
"emergency_acknowledged_at": null,
"has_assigned_caregiver": false,
"next_follow_up_at": "2026-07-26T12:00:00.000000Z",
"resolved_at": null,
"withdrawn_at": null,
"retention_expires_at": null,
"content_purged": false,
"source": "member",
"can_edit": true,
"can_withdraw": true,
"visits": [
{
"id": 84,
"kind": "hospital",
"status": "scheduled",
"caregiver_name": "Pastor Grace",
"starts_at": "2026-07-27T10:00:00.000000Z",
"ends_at": "2026-07-27T10:45:00.000000Z",
"location": "City Hospital",
"instructions": "Please call when you arrive.",
"outcome": null
}
],
"support_plan": null,
"timeline": [
{
"id": 128,
"event": "request_created",
"status": "new",
"created_at": "2026-07-25T09:00:00.000000Z"
},
{
"id": 131,
"event": "staff_workflow_updated",
"status": "assigned",
"created_at": "2026-07-25T10:15:00.000000Z"
}
],
"created_at": "2026-07-25T09:00:00.000000Z",
"updated_at": "2026-07-25T10:15:00.000000Z"
}
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Create Care Request
Shares a confidential Pastoral Care request for the authenticated member. Counseling, benevolence, and crisis requests are restricted to pastoral staff. Urgent or crisis requests require emergency_acknowledged: true because this workflow is not an emergency service.
curl --request POST \
--url https://api.thefaithapp.com/v1/care-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "hospital_visit",
"privacy": "care_team",
"urgency": "soon",
"details": "Please arrange a hospital visit later this week.",
"contact_preference": "phone",
"contact_consent": true
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'hospital_visit',
privacy: 'care_team',
urgency: 'soon',
details: 'Please arrange a hospital visit later this week.',
contact_preference: 'phone',
contact_consent: true
})
};
fetch('https://api.thefaithapp.com/v1/care-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/care-requests"
payload = {
"type": "hospital_visit",
"privacy": "care_team",
"urgency": "soon",
"details": "Please arrange a hospital visit later this week.",
"contact_preference": "phone",
"contact_consent": True
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "Your care request was shared confidentially.",
"data": {
"care_request": {
"id": 412,
"type": "hospital_visit",
"privacy": "care_team",
"urgency": "soon",
"status": "new",
"details": "Please arrange a hospital visit later this week.",
"contact_preference": "phone",
"contact_value": "+256700000001",
"contact_consent_at": "2026-07-25T09:00:00.000000Z",
"emergency_acknowledged_at": null,
"has_assigned_caregiver": false,
"next_follow_up_at": "2026-07-26T12:00:00.000000Z",
"resolved_at": null,
"withdrawn_at": null,
"retention_expires_at": null,
"content_purged": false,
"source": "member",
"can_edit": true,
"can_withdraw": true,
"visits": [
{
"id": 84,
"kind": "hospital",
"status": "scheduled",
"caregiver_name": "Pastor Grace",
"starts_at": "2026-07-27T10:00:00.000000Z",
"ends_at": "2026-07-27T10:45:00.000000Z",
"location": "City Hospital",
"instructions": "Please call when you arrive.",
"outcome": null
}
],
"support_plan": null,
"timeline": [
{
"id": 128,
"event": "request_created",
"status": "new",
"created_at": "2026-07-25T09:00:00.000000Z"
},
{
"id": 131,
"event": "staff_workflow_updated",
"status": "assigned",
"created_at": "2026-07-25T10:15:00.000000Z"
}
],
"created_at": "2026-07-25T09:00:00.000000Z",
"updated_at": "2026-07-25T10:15:00.000000Z"
}
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Body
Type of pastoral care requested.
general_care, hospital_visit, home_visit, new_baby_support, counseling, benevolence, grief_support, illness_support, crisis_support, pastoral_follow_up, wedding_preparation, baby_dedication, funeral_support, relocation_support, pastoral_recommendation "hospital_visit"
Authorized staff audience for the request.
care_team, pastoral_only "care_team"
Requested follow-up speed.
standard, soon, urgent "soon"
Confidential details for the authorized care team.
10 - 5000How the member prefers to be contacted.
in_app, phone, text, email "phone"
Confirms that the church care team may contact the member.
Optional phone number or email address. When omitted, the matching member profile value is used.
255Required for urgent or crisis requests. Confirms that Pastoral Care is not an emergency service.
Was this page helpful?